Subject: Re: still not sure

From: Robert Elz <[email-masked]>
Date: Fri, 01 Oct 2004 17:39:32 +0700

Date:        Thu, 30 Sep 2004 14:14:00 +0200
    From:        Peter Koch <[email-masked]>
    Message-ID:  <[email-masked]>

  | However, with regards to kre, a "MUST be allowed (anticipated) in a query"
  | might conflict with ``check-names'' like features, which have nothing to do
  | with wildcards, but lot to do with A or AAAA queries. So, in general, they
  | should be allowed but I'd rather not see this as an argument that '*' must
  | be accepted in a ``hostname''.

Sites are free to use whatever hostnames they want to use, and if your
choice of hostnames forbids '*' in the name (an entirely rational choice
I might add) that's just fine.   If you need your nameserver software to
tell you when you have accidentally violated one of your own rules like
that, that's fine too.    None of this has anything in the slightest to
do with what a nameserver should do when someone who doesn't adopt that
policy decides that they do want a '*' label in a domain name (which is not
necessarily one that is being used as a host name).

kre

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>